<?php

if (!defined('TYPO3_MODE')) {
  die('Access denied.');
}

$_EXTKEY = 'quick_shop';
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['caddy']);

return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant',
        'label' => 'title',
        'label_alt' => 'tx_quickshop_products',
        'label_alt_force' => true,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'default_sortby' => 'ORDER BY title',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
        ),
        'dividers2tabs' => true,
        'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'ext_icon.svg',
        'searchFields' => ''
        . 'hidden,'
        . 'required,'
        . 'title,'
        . 'tx_quickshop_products,'
        . 'tx_quickshop_variantproperty,'
    ,
    ),
    'interface' => array(
        'showRecordFieldList' => ''
        . 'hidden,'
        . 'required,'
        . 'title,'
        . 'tx_quickshop_products,'
        . 'tx_quickshop_variantproperty,'
    ,
    ),
    'columns' => array(
        'hidden' => array(
            'exclude' => 1,
            'l10n_mode' => 'exclude',
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
            'config' => array(
                'type' => 'check',
                'default' => '0'
            ),
        ),
        'required' => array(
            'exclude' => 1,
            'l10n_mode' => 'exclude',
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.required',
            'config' => array(
                'type' => 'check',
                'default' => '1'
            ),
        ),
        'title' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.title',
            'config' => array(
                'type' => 'input',
                'size' => '30',
                'eval' => 'required',
            )
        ),
        'tx_quickshop_products' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.tx_quickshop_products',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_quickshop_products',
                'foreign_table_where' => ''
                . 'AND tx_quickshop_products.pid=###CURRENT_PID### '
                . 'AND tx_quickshop_products.sys_language_uid IN (-1,###REC_FIELD_sys_language_uid###)'
            ,
            ),
        ),
        'tx_quickshop_variantproperty' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 0,
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.tx_quickshop_variantproperty',
            'config' => array(
                'type' => 'inline',
                'foreign_table' => 'tx_quickshop_variantproperty',
                'foreign_field' => 'tx_quickshop_variant',
                'foreign_sortby' => 'sorting',
                'maxitems' => 1000,
                'appearance' => array(
                    'collapseAll' => 1,
                    'expandSingle' => 1,
                    'useSortable' => 1,
                    'newRecordLinkAddTitle' => 1,
                    'levelLinksPosition' => 'top',
                    'showSynchronizationLink' => 0,
                    'showAllLocalizationLink' => 1,
                    'showPossibleLocalizationRecords' => 1,
                    'showRemovedLocalizationRecords' => 1,
                ),
                'behaviour' => array(
                    'localizeChildrenAtParentLocalization' => 1,
                    'localizationMode' => 'select',
                ),
            ),
        ),
    ),
    'types' => array(
        '0' => array(
            'showitem' => ''
            . '--palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.variant;variant,'
            . 'tx_quickshop_variantproperty,'
        ,
        )
    ),
    'palettes' => array(
        'variant' => array(
            'showitem' => ''
            . 'required;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.required,'
            . 'title;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.title,'
            . 'tx_quickshop_products;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variant.xml:tx_quickshop_variant.tx_quickshop_products,'
            ,
            'canNotCollapse' => 1,
        ),
    )
);
